Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Server/Values/RestContentCreateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Server\Values;
8
9 use eZ\Publish\API\Repository\Values\Content\ContentCreateStruct;
10 use eZ\Publish\API\Repository\Values\Content\LocationCreateStruct;
11 use eZ\Publish\API\Repository\Values\ValueObject;
12
16 class RestContentCreateStruct extends ValueObject
17 {
19 public $contentCreateStruct;
20
22 public $locationCreateStruct;
23
30 public function __construct(ContentCreateStruct $contentCreateStruct, LocationCreateStruct $locationCreateStruct)
31 {
32 $this->contentCreateStruct = $contentCreateStruct;
33 $this->locationCreateStruct = $locationCreateStruct;
34 }
35 }
eZ\Publish\API\Repository\Values\Content\ContentCreateStruct
Definition: API/Repository/Values/Content/ContentCreateStruct.php:15
eZ\Publish\API\Repository\Values\Content\LocationCreateStruct
This class is used to create a new Location for a content object.
Definition: API/Repository/Values/Content/LocationCreateStruct.php:15
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\Core\REST\Server\Values\RestContentCreateStruct
RestContentCreateStruct view model.
Definition: Server/Values/RestContentCreateStruct.php:17
eZ\Publish\Core\REST\Server\Values\RestContentCreateStruct\__construct
__construct(ContentCreateStruct $contentCreateStruct, LocationCreateStruct $locationCreateStruct)
Construct.
Definition: Server/Values/RestContentCreateStruct.php:30
eZ\Publish\Core\REST\Server\Values\RestContentCreateStruct\$contentCreateStruct
$contentCreateStruct
Definition: Server/Values/RestContentCreateStruct.php:19
eZ\Publish\Core\REST\Server\Values\RestContentCreateStruct\$locationCreateStruct
$locationCreateStruct
Definition: Server/Values/RestContentCreateStruct.php:22
eZ\Publish\Core\REST\Server\Values
Definition: Core/REST/Server/Values/BookmarkList.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.